<template>
    <navbar />
    <div class="w-full p-8">
        <div class="flex flex-col bg-white w-full items-center p-5 gap-5 rounded">
            <p class="text-2xl"><strong>Administración</strong></p>
            <p class="text-lg">Editar Usuario</p>
            <form class="flex gap-3 justify-center" id="form" @submit.prevent="editar()">
                <div class="flex flex-col gap-2 p-5 items-end">
                    <label for="username" class="h-8">Nombre de usuario</label>
                    <label for="nombre" class="h-8">Nombre</label>
                    <label for="apellidoPaterno" class="h-8">Apellido paterno</label>
                    <label for="apellidoMaterno" class="h-8">Apellido materno</label>
                    <label for="correo" class="h-8">Correo</label>
                    <label for="password" class="h-8">Contraseña</label>
                    <label class="h-8" for="rol">Rol de usuario</label>
                </div>
                <div class="flex flex-col gap-2 p-5 w-80">
                    <input v-model="editarUsuario
                    .username" id="nombreUsuario" class="input input-bordered input-sm" placeholder="11222333-4"
                        required>
                    <input v-model="editarUsuario
                    .nombre" id="nombre" class="input input-bordered input-sm" placeholder="Jose" required>
                    <input v-model="editarUsuario
                    .apellidoPaterno" id="apellidoPaterno" class="input input-bordered input-sm" placeholder="Rupallan"
                        required>
                    <input v-model="editarUsuario
                    .apellidoMaterno" id="apellidoMaterno" class="input input-bordered input-sm" placeholder="Diaz"
                        required>
                    <input v-model="editarUsuario
                    .correo" id="correo" class="input input-bordered input-sm" placeholder="email@dciIntranet.cl"
                        required>
                    <input v-model="editarUsuario
                    .password" id="new-password" class="input input-bordered input-sm" placeholder="Contraseña"
                        type="password" required>
                    <select v-model="editarUsuario
                    .rol" class="select select-sm select-secondary" id="rol" required>
                        <option v-for="(rol, index) in roles" :key="index">{{ rol }}</option>
                    </select>
                </div>
            </form>
            <div class="flex gap-3">
                <a class="btn btn-secondary" :href="'/admin'">Volver</a>
                <button class="btn btn-primary" type="submit" form="form">Actualizar</button>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios'
import navbar from '../../components/Navbar.vue'

export default {
    components: { navbar },
    props: {
        id: String
    },
    data() {
        return {
            roles: {},
            editarUsuario: {
                usuId: null,
                nombre: null,
                password: null,
                apellidoPaterno: null,
                apellidoMaterno: null,
                correo: null,
                username: null,
                rol: null
            }
        }
    },
    mounted() {
        axios.get("cuentas/roles")
            .then(result => {
                this.roles = result.data
            })
        axios.get("cuentas/usuarios/" + this.id, {
            headers: {
                Authorization: localStorage.getItem('auth')
            }
        })
            .then(result => {
                this.editarUsuario.nombre = result.data.nombre
                this.editarUsuario.usuId = result.data.usuId
                this.editarUsuario.apellidoPaterno = result.data.apellidoPaterno
                this.editarUsuario.apellidoMaterno = result.data.apellidoMaterno
                this.editarUsuario.correo = result.data.correo
                this.editarUsuario.username = result.data.username
                this.editarUsuario.rol = result.data.rol
                this.editarUsuario.password = ""
            })
    },
    methods: {
        editar() {
            axios.put("/cuentas/editar/" + this.editarUsuario.usuId, this.editarUsuario, {
                headers: {
                    Authorization: localStorage.getItem('auth')
                }
            }).then(result => {
                console.log(result)
                alert("Usuario modificado")
                this.$router.push("/admin")
            }).catch(err => {
                console.log(err)
            })
        }
    }
}
</script>

<style>

</style>